Package org.pushingpixels.substance.flamingo.ribbon

# Class RibbonBackgroundDelegate

java.lang.Object
org.pushingpixels.substance.flamingo.ribbon.RibbonBackgroundDelegate

public class RibbonBackgroundDelegate extends Object
Delegate class for painting backgrounds of buttons in Ribbon plugin.

## Constructor Summary

Constructors
Constructor
Description
`RibbonBackgroundDelegate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateTaskToggleButtonBackground(Graphics g, org.pushingpixels.flamingo.internal.ui.ribbon.JRibbonTaskToggleButton button)`
Updates background of the specified button.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RibbonBackgroundDelegate

public RibbonBackgroundDelegate()

## Method Details

### updateTaskToggleButtonBackground

public void updateTaskToggleButtonBackground(Graphics g, org.pushingpixels.flamingo.internal.ui.ribbon.JRibbonTaskToggleButton button)
Updates background of the specified button.

Parameters:
  `g` - Graphic context.
  `button` - Button to update.